[android-components](../../../index.md) / [mozilla.components.browser.state.action](../../index.md) / [DownloadAction](../index.md) / [AddDownloadAction](./index.md)

# AddDownloadAction

`data class AddDownloadAction : `[`DownloadAction`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/action/BrowserAction.kt#L714)

Updates the [BrowserState](../../../mozilla.components.browser.state.state/-browser-state/index.md) to track the provided [download](download.md) as added.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `AddDownloadAction(download: `[`DownloadState`](../../../mozilla.components.browser.state.state.content/-download-state/index.md)`)`<br>Updates the [BrowserState](../../../mozilla.components.browser.state.state/-browser-state/index.md) to track the provided [download](download.md) as added. |

### Properties

| Name | Summary |
|---|---|
| [download](download.md) | `val download: `[`DownloadState`](../../../mozilla.components.browser.state.state.content/-download-state/index.md) |
